Basecamp Classic API

People API Calls

This is the newer, REST-based version of this API. If you are maintaining an older application, it might be using the legacy, non-RESTful version of this API, which can be found documented here.

Current person

GET /me.xml

Returns the currently logged in person (you).

Response

<person>
  <id type="integer">#{id}</id>
  <user-name>#{user_name}</user-name>
  ...
</person>

Get people (across projects)

GET /people.xml

Returns all people visible to (and including) the requesting user. Admins can include deleted people using the ?include_deleted=true query parameter.

Response

<people>
  <person>
    ...
  </person>
  ...
</people>

Get people (within project)

GET /projects/#{project_id}/people.xml

Returns all people with access to the given project. Admins can include deleted people using the ?include_deleted=true query parameter.

Response

<people>
  <person>
    ...
  </person>
  ...
</people>

Get people (within company)

GET /companies/#{company_id}/people.xml

Returns all people from the given company that are visible to the requesting user. Admins can include deleted people using the ?include_deleted=true query parameter.

Response

<people>
  <person>
    ...
  </person>
  ...
</people>

Get person

GET /people/#{person_id}.xml

Returns a single person identified by their integer ID.

Response

<person>
  ...
</person>